BareMetal API, REST: Configuration.ListConfigurationRentalPeriods
Retrieves the list of RentalPeriods for the specified Configuration resource.
https://google.aip.dev/130 --)
HTTP request
GET https://baremetal.api.cloud.yandex.net/baremetal/v2/configurations/{configurationId}/rentalPeriods
Path parameters
|
Field |
Description |
|
configurationId |
string Required field. ID of the Configuration resource to return. Value must match the regular expression |
Query parameters
|
Field |
Description |
|
pageSize |
string (int64) The maximum number of results per page to return. If the number of available The maximum value is 1000. |
|
pageToken |
string Page token. To get the next page of results, set |
Response
HTTP Code: 200 - OK
{
"rentalPeriods": [
{
"rentalPeriodId": "string"
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
rentalPeriods[] |
List of RentalPeriod resources. |
|
nextPageToken |
string Token for getting the next page of the list. If the number of results is greater than Each subsequent page will have its own |
RentalPeriod
A period of time for which a Bare Metal Server can be rented. e.g., 1 month, 3 months, 6 months,
a year.
|
Field |
Description |
|
rentalPeriodId |
string Rental period identifier. |